﻿<Window x:Class="MofoBot.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:ElementsSessions="clr-namespace:MofoBot.Elements.Sessions"
        Title="MainWindow" Height="572" Width="1024" MinHeight="500" MinWidth="600" WindowStartupLocation="CenterScreen" Loaded="Window_Loaded" Closed="Window_Closed" xmlns:my="clr-namespace:MofoBot.Elements">
    <Grid>
        <Grid.RowDefinitions>
            <RowDefinition Height="25" />
            <RowDefinition Height="25" />
            <RowDefinition />
        </Grid.RowDefinitions>
        <Menu Height="23" HorizontalAlignment="Stretch" Margin="0" Name="menu1" VerticalAlignment="Top" Grid.Row="0">
            <MenuItem Header="Administrar Sessões" Click="MenuItem_Click" />
            <MenuItem Header="Administrar Nicknames" Click="MenuItem_Click_2" />
            <MenuItem Name="Estabilidade" Header="" IsEnabled="False"></MenuItem>
            <MenuItem Name="Processo" Header="" IsEnabled="False"></MenuItem>
        </Menu>
        <Grid Grid.Row="1">
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="2*"/>
                <ColumnDefinition Width="0.9*"/>
                <ColumnDefinition Width="2*"/>
                <ColumnDefinition Width="0.9*"/>
            </Grid.ColumnDefinitions>
            <Grid Grid.Column="0">
                <Grid.ColumnDefinitions>
                    <ColumnDefinition/>
                    <ColumnDefinition Width="36"/>
                    <ColumnDefinition Width="15"/>
                </Grid.ColumnDefinitions>
                <Label Grid.Column="0">Mensagem Normal:</Label>
                <Label Grid.Column="1" Name="SendMessageTimer" Content="{Binding Path=SendMessageInterval}" HorizontalContentAlignment="Right"></Label>
                <Label Grid.Column="2" HorizontalContentAlignment="Left">s</Label>
            </Grid>
            <Slider Grid.Column="1" Name="SendMessageSlider" Minimum="5" Maximum="1000" TickFrequency="5" IsSnapToTickEnabled="True" ValueChanged="SendMessageSlider_ValueChanged" Value="{Binding Path=SendMessageInterval}"/>
            <Grid Grid.Column="2">
                <Grid.ColumnDefinitions>
                    <ColumnDefinition/>
                    <ColumnDefinition Width="36"/>
                    <ColumnDefinition Width="15"/>
                </Grid.ColumnDefinitions>
                <Label Grid.Column="0">Mensagem Privada:</Label>
                <Label Grid.Column="1" Name="SendPrivateMessageTimer" Content="{Binding Path=SendPrivateMessageInterval}" HorizontalContentAlignment="Right"></Label>
                <Label Grid.Column="2" HorizontalContentAlignment="Left">s</Label>
            </Grid>
            <Slider Grid.Column="3" Name="SendPrivateMessageSlider" Minimum="300" Maximum="1000" TickFrequency="5" IsSnapToTickEnabled="True" ValueChanged="SendPrivateMessageSlider_ValueChanged" Value="{Binding Path=SendPrivateMessageInterval}"/>
        </Grid>
        <Grid Grid.Row="2">
            <Grid.ColumnDefinitions>
                <ColumnDefinition/>
                <ColumnDefinition Width="Auto"/>
            </Grid.ColumnDefinitions>
            <Grid>
                <Grid.RowDefinitions>
                    <RowDefinition></RowDefinition>
                    <RowDefinition Height="10"></RowDefinition>
                    <RowDefinition></RowDefinition>
                </Grid.RowDefinitions>
                <Grid Grid.Row="0" HorizontalAlignment="Stretch" Name="SessionsHost" VerticalAlignment="Stretch">
                    <ScrollViewer IsTabStop="False">
                        <ItemsControl ItemsSource="{Binding}" Name="SessionsDisplay" IsTabStop="False">
                            <ItemsControl.ItemsPanel>
                                <ItemsPanelTemplate>
                                    <WrapPanel Orientation="Horizontal"/>
                                </ItemsPanelTemplate>
                            </ItemsControl.ItemsPanel>
                            <ItemsControl.ItemTemplate>
                                <DataTemplate>
                                    <ElementsSessions:View Session="{Binding}" Margin="4"/>
                                </DataTemplate>
                            </ItemsControl.ItemTemplate>
                        </ItemsControl>
                    </ScrollViewer>
                </Grid>
                <GridSplitter Grid.Row="1" HorizontalAlignment="Stretch" Name="gridSplitter1" VerticalAlignment="Top" Height="10" ResizeBehavior="PreviousAndNext" />
                <ScrollViewer Grid.Row="2" Name="scrollViewer1">
                    <TextBox HorizontalAlignment="Stretch" Name="textBox1" VerticalAlignment="Stretch" IsReadOnly="True" TextWrapping="Wrap" />
                </ScrollViewer>
            </Grid>
            <!-- Width="786" Height="500" -->
            <Expander Grid.Column="1" Name="ExpandSessions" ExpandDirection="Left" IsExpanded="True">
                <Expander.Header>
                    <TextBlock Text="Esconder/Mostrar Sessões" TextOptions.TextFormattingMode="Display">
                    <TextBlock.LayoutTransform>
                        <RotateTransform Angle="-90"/>
                    </TextBlock.LayoutTransform>
                    </TextBlock>
                </Expander.Header>
                <my:ShotSessions x:Name="shotSessions1"   MinWidth="581" MaxWidth="581" />
            </Expander>
        </Grid>
    </Grid>
</Window>
